
#ifndef POINT_H
#define POINT_H

#include <QPoint>

//! point
/*!
A single point with integer coordinates.
*/
class point :public QPoint{
  public:
//! point
/*!
creates a point
@nomacro
*/
 point(){}
//! point
/*!
constructs a point with coordinates x and y.
@nomacro
*/ 
  point(int x,int y){setX(x);setY(y);}
 ~point(){};

//! set xy
/*!
Set the x and y coordinates.
*/
void set(int x, int y){setX(x);setY(y);};
//! set x
/*!
Set the x coordinate.
*/
//-void setX(int x);
//! set y
/*!
Set the y coordinate.
*/
//-void setY(int y);
//! x
/*!
@return x x-value
*/
//-int x();
//! y
/*!
@return y y-value
*/
//-int y();
};

#endif
